English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# The Images Python API

App Engine provides the ability to manipulate image data using a dedicated Images service. The Images service can resize, rotate, flip, and crop images. It can also enhance photographs using a predefined algorithm.

This reference describes the Python API for the Images service. It has the following sections:

- Overview
- Installing PIL
- Using the Images API
- Reference
  - Image
  - Functions
  - Exceptions